Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p5zlim.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p5zlim.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p5zlim.F90	(revision 9124)
@@ -154,5 +154,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p5z_lim')
+      IF( ln_timing )   CALL timing_start('p5z_lim')
       !
       zratchl = 6.0
@@ -448,10 +448,10 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p5z_lim')
+      IF( ln_timing )  CALL timing_stop('p5z_lim')
       !
    END SUBROUTINE p5z_lim
 
+
    SUBROUTINE p5z_lim_init
-
       !!----------------------------------------------------------------------
       !!                  ***  ROUTINE p5z_lim_init  ***
@@ -465,5 +465,6 @@
       !!
       !!----------------------------------------------------------------------
-
+      INTEGER :: ios                 ! Local integer output status for namelist read
+      !!
       NAMELIST/namp5zlim/ concnno3, concpno3, concdno3, concnnh4, concpnh4, concdnh4,  &
          &                concnfer, concpfer, concdfer, concbfe, concnpo4, concppo4,   &
@@ -471,21 +472,19 @@
          &                xsizephy, xsizern, xsizerp, xsizerd, xksi1, xksi2, xkdoc,    &
          &                caco3r, oxymin
-
+         !
       NAMELIST/namp5zquota/ qnnmin, qnnmax, qpnmin, qpnmax, qnpmin, qnpmax, qppmin,      &
          &                  qppmax, qndmin, qndmax, qpdmin, qpdmax, qfnmax, qfpmax, qfdmax,  &
          &                  qfnopt, qfpopt, qfdopt
- 
-
-      INTEGER :: ios                 ! Local integer output status for namelist read
-
+      !!----------------------------------------------------------------------
+      !
       REWIND( numnatp_ref )              ! Namelist nampislim in reference namelist : Pisces nutrient limitation parameters
       READ  ( numnatp_ref, namp5zlim, IOSTAT = ios, ERR = 901)
 901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampislim in reference namelist', lwp )
-
+      !
       REWIND( numnatp_cfg )              ! Namelist nampislim in configuration namelist : Pisces nutrient limitation parameters 
       READ  ( numnatp_cfg, namp5zlim, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampislim in configuration namelist', lwp )
+902   IF( ios >  0 ) CALL ctl_nam ( ios , 'nampislim in configuration namelist', lwp )
       IF(lwm) WRITE ( numonp, namp5zlim )
-
+      !
       IF(lwp) THEN                         ! control print
          WRITE(numout,*) ' '
@@ -523,10 +522,10 @@
       READ  ( numnatp_ref, namp5zquota, IOSTAT = ios, ERR = 903)
 903   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisquota in reference namelist', lwp )
-
+      !
       REWIND( numnatp_cfg )              ! Namelist nampislim in configuration namelist : Pisces nutrient limitation parameters 
       READ  ( numnatp_cfg, namp5zquota, IOSTAT = ios, ERR = 904 )
-904   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampisquota in configuration namelist', lwp )
+904   IF( ios >  0 ) CALL ctl_nam ( ios , 'nampisquota in configuration namelist', lwp )
       IF(lwm) WRITE ( numonp, namp5zquota )
-
+      !
       IF(lwp) THEN                         ! control print
          WRITE(numout,*) ' '
@@ -552,5 +551,5 @@
          WRITE(numout,*) '    Maximal Fe quota for diatoms             qfdmax    = ', qfdmax
       ENDIF
-
+      !
       zpsino3 = 2.3 * rno3
       zpsinh4 = 1.8 * rno3
@@ -560,4 +559,5 @@
       !
    END SUBROUTINE p5z_lim_init
+
 
    INTEGER FUNCTION p5z_lim_alloc()
@@ -569,5 +569,5 @@
       !!----------------------------------------------------------------------
       ierr(:) = 0
-
+      !
       !*  Biological arrays for phytoplankton growth
       ALLOCATE( xpicono3(jpi,jpj,jpk), xpiconh4(jpi,jpj,jpk),       &
@@ -585,5 +585,5 @@
          &      fvpuptk (jpi,jpj,jpk), xlimpic (jpi,jpj,jpk),       &
          &      xlimsi  (jpi,jpj,jpk), STAT=ierr(1) )
-
+         !
       !*  Minimum/maximum quotas of phytoplankton
       ALLOCATE( xqnnmin (jpi,jpj,jpk), xqnnmax(jpi,jpj,jpk),       &
@@ -593,5 +593,5 @@
          &      xqndmin (jpi,jpj,jpk), xqndmax(jpi,jpj,jpk),       &
          &      xqpdmin (jpi,jpj,jpk), xqpdmax(jpi,jpj,jpk),     STAT=ierr(2) )
-      !
+         !
       p5z_lim_alloc = MAXVAL( ierr )
       !
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p5zmeso.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p5zmeso.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p5zmeso.F90	(revision 9124)
@@ -89,5 +89,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p5z_meso')
+      IF( ln_timing )   CALL timing_start('p5z_meso')
       !
       CALL wrk_alloc( jpi, jpj, jpk, zgrazing )
@@ -362,10 +362,10 @@
       CALL wrk_dealloc( jpi, jpj, jpk, zgrazing )
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p5z_meso')
+      IF( ln_timing )   CALL timing_stop('p5z_meso')
       !
    END SUBROUTINE p5z_meso
 
+
    SUBROUTINE p5z_meso_init
-
       !!----------------------------------------------------------------------
       !!                  ***  ROUTINE p5z_meso_init  ***
@@ -379,22 +379,21 @@
       !!
       !!----------------------------------------------------------------------
-
+      INTEGER :: ios                 ! Local integer output status for namelist read
+      !!
       NAMELIST/namp5zmes/part2, bmetexc2, grazrat2, resrat2, mzrat2, xpref2c, xpref2p, xpref2z, &
          &                xpref2m, xpref2d, xthresh2dia, xthresh2phy, xthresh2zoo, xthresh2poc, &
          &                xthresh2mes, xthresh2, xkgraz2, epsher2, ssigma2, unass2c, &
-      &                   unass2n, unass2p, srespir2, grazflux
-
-      INTEGER :: ios                 ! Local integer output status for namelist read
-
+         &                unass2n, unass2p, srespir2, grazflux
+      !!----------------------------------------------------------------------
+      !
       REWIND( numnatp_ref )              ! Namelist nampismes in reference namelist : Pisces mesozooplankton
       READ  ( numnatp_ref, namp5zmes, IOSTAT = ios, ERR = 901)
 901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampismes in reference namelist', lwp )
-
+      !
       REWIND( numnatp_cfg )              ! Namelist nampismes in configuration namelist : Pisces mesozooplankton
       READ  ( numnatp_cfg, namp5zmes, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nampismes in configuration namelist', lwp )
+902   IF( ios >  0 ) CALL ctl_nam ( ios , 'nampismes in configuration namelist', lwp )
       IF(lwm) WRITE ( numonp, namp5zmes )
-
-
+      !
       IF(lwp) THEN                         ! control print
          WRITE(numout,*) ' ' 
@@ -426,6 +425,5 @@
          WRITE(numout,*) '    Use excess carbon for respiration              bmetexc2    = ', bmetexc2
       ENDIF
-
-
+      !
    END SUBROUTINE p5z_meso_init
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p5zmicro.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p5zmicro.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p5zmicro.F90	(revision 9124)
@@ -86,5 +86,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p5z_micro')
+      IF( ln_timing )   CALL timing_start('p5z_micro')
       !
       CALL wrk_alloc( jpi, jpj, jpk, zgrazing )
@@ -306,5 +306,5 @@
       CALL wrk_dealloc( jpi, jpj, jpk, zgrazing )
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p5z_micro')
+      IF( ln_timing )   CALL timing_stop('p5z_micro')
       !
    END SUBROUTINE p5z_micro
@@ -312,5 +312,4 @@
 
    SUBROUTINE p5z_micro_init
-
       !!----------------------------------------------------------------------
       !!                  ***  ROUTINE p5z_micro_init  ***
@@ -324,21 +323,21 @@
       !!
       !!----------------------------------------------------------------------
-
+      INTEGER ::   ios   ! Local integer
+      !!
       NAMELIST/namp5zzoo/ part, grazrat, bmetexc, resrat, mzrat, xprefc, xprefn, &
          &                xprefp, xprefd, xprefz, xthreshdia, xthreshphy, &
          &                xthreshpic, xthreshpoc, xthreshzoo, xthresh, xkgraz, &
          &                epsher, ssigma, srespir, unassc, unassn, unassp
-
-      INTEGER :: ios                 ! Local integer output status for namelist read
-
+      !!----------------------------------------------------------------------
+      !
       REWIND( numnatp_ref )              ! Namelist nampiszoo in reference namelist : Pisces microzooplankton
       READ  ( numnatp_ref, namp5zzoo, IOSTAT = ios, ERR = 901)
 901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namp5zzoo in reference namelist', lwp )
-
+      !
       REWIND( numnatp_cfg )              ! Namelist nampiszoo in configuration namelist : Pisces microzooplankton
       READ  ( numnatp_cfg, namp5zzoo, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namp5zzoo in configuration namelist', lwp )
+902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namp5zzoo in configuration namelist', lwp )
       IF(lwm) WRITE ( numonp, namp5zzoo )
-
+      !
       IF(lwp) THEN                         ! control print
          WRITE(numout,*) ' '
@@ -369,5 +368,5 @@
          WRITE(numout,*) '    Use of excess carbon for respiration            bmetexc     =', bmetexc
       ENDIF
-
+      !
    END SUBROUTINE p5z_micro_init
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p5zmort.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p5zmort.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p5zmort.F90	(revision 9124)
@@ -74,5 +74,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p5z_nano')
+      IF( ln_timing )   CALL timing_start('p5z_nano')
       !
       prodcal(:,:,:) = 0.  !: calcite production variable set to zero
@@ -124,7 +124,8 @@
        ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p5z_nano')
+      IF( ln_timing )   CALL timing_stop('p5z_nano')
       !
    END SUBROUTINE p5z_nano
+
 
    SUBROUTINE p5z_pico
@@ -143,5 +144,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p5z_pico')
+      IF( ln_timing )   CALL timing_start('p5z_pico')
       !
       DO jk = 1, jpkm1
@@ -184,5 +185,5 @@
        ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p5z_pico')
+      IF( ln_timing )   CALL timing_stop('p5z_pico')
       !
    END SUBROUTINE p5z_pico
@@ -204,5 +205,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p5z_diat')
+      IF( ln_timing )   CALL timing_start('p5z_diat')
       !
 
@@ -262,10 +263,10 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p5z_diat')
+      IF( ln_timing )   CALL timing_stop('p5z_diat')
       !
    END SUBROUTINE p5z_diat
 
+
    SUBROUTINE p5z_mort_init
-
       !!----------------------------------------------------------------------
       !!                  ***  ROUTINE p5z_mort_init  ***
@@ -279,7 +280,8 @@
       !!
       !!----------------------------------------------------------------------
-
+      INTEGER :: ios                 ! Local integer output status for namelist read
+      !!
       NAMELIST/namp5zmort/ wchln, wchlp, wchld, wchldm, mpratn, mpratp, mpratd
-      INTEGER :: ios                 ! Local integer output status for namelist read
+      !!----------------------------------------------------------------------
 
       REWIND( numnatp_ref )              ! Namelist nampismort in reference namelist : Pisces phytoplankton
@@ -289,5 +291,5 @@
       REWIND( numnatp_cfg )              ! Namelist nampismort in configuration namelist : Pisces phytoplankton
       READ  ( numnatp_cfg, namp5zmort, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namp5zmort in configuration namelist', lwp )
+902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namp5zmort in configuration namelist', lwp )
       IF(lwm) WRITE ( numonp, namp5zmort )
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p5zprod.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p5zprod.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p5zprod.F90	(revision 9124)
@@ -98,5 +98,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('p5z_prod')
+      IF( ln_timing )   CALL timing_start('p5z_prod')
       !
       !  Allocate temporary workspace
@@ -571,5 +571,5 @@
       CALL wrk_dealloc( jpi, jpj, jpk, zcroissp, zcroissn, zcroissd )
       !
-      IF( nn_timing == 1 )  CALL timing_stop('p5z_prod')
+      IF( ln_timing )   CALL timing_stop('p5z_prod')
       !
    END SUBROUTINE p5z_prod
@@ -587,9 +587,8 @@
       !! ** input   :   Namelist nampisprod
       !!----------------------------------------------------------------------
-      !
+      INTEGER :: ios                 ! Local integer output status for namelist read
+      !!
       NAMELIST/namp5zprod/ pislopen, pislopep, pisloped, excretn, excretp, excretd,     &
          &                 thetannm, thetanpm, thetandm, chlcmin, grosip, bresp, xadap
-
-      INTEGER :: ios                 ! Local integer output status for namelist read
       !!----------------------------------------------------------------------
 
@@ -600,5 +599,5 @@
       REWIND( numnatp_cfg )              ! Namelist nampisprod in configuration namelist : Pisces phytoplankton production
       READ  ( numnatp_cfg, namp5zprod, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namp5zprod in configuration namelist', lwp )
+902   IF( ios >  0 ) CALL ctl_nam ( ios , 'namp5zprod in configuration namelist', lwp )
       IF(lwm) WRITE ( numonp, namp5zprod )
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/SED/par_sed.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/SED/par_sed.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/SED/par_sed.F90	(revision 9124)
@@ -7,6 +7,9 @@
    !!        !  06-12  (C. Ethe)  Orignal
    !!----------------------------------------------------------------------
-   !! $Id$
 #if defined key_sed
+   !!----------------------------------------------------------------------
+   !!   'key_sed'                                                  Sediment 
+   !!----------------------------------------------------------------------
+
    !! Domain characteristics
    USE par_kind
@@ -37,5 +40,4 @@
       jpwat = 7,         &   !: number of pore water component
       jpwatp1 = jpwat + 1
-
    
    ! pore water components       
@@ -61,3 +63,9 @@
       jpdia2dsed = 7
 #endif
+
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 4.0 , NEMO Consortium (2017)
+   !! $Id$ 
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !!======================================================================
 END MODULE par_sed
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/SED/sed.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/SED/sed.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/SED/sed.F90	(revision 9124)
@@ -4,7 +4,10 @@
    !! Sediment :   set sediment global variables
    !!======================================================================
-#if defined key_sed
    !! History :
    !!        !  06-12  (C. Ethe)  Orignal
+   !!----------------------------------------------------------------------
+#if defined key_sed
+   !!----------------------------------------------------------------------
+   !!   'key_sed'                                                  Sediment 
    !!----------------------------------------------------------------------
    USE par_sed
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/SED/sedadv.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/SED/sedadv.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/SED/sedadv.F90	(revision 9124)
@@ -1,9 +1,10 @@
 MODULE sedadv
-#if defined key_sed
    !!======================================================================
    !!              ***  MODULE  sedadv  ***
    !!    Sediment : vertical advection and burial
    !!=====================================================================
-   !! * Modules used
+#if defined key_sed
+   !!----------------------------------------------------------------------
+   !!   'key_sed'                                                  Sediment 
    !!----------------------------------------------------------------------
    !!   sed_adv :
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/trcice_pisces.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/trcice_pisces.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/trcice_pisces.F90	(revision 9124)
@@ -20,7 +20,11 @@
    PUBLIC   trc_ice_ini_pisces ! called by trcini.F90 module
 
+   !!----------------------------------------------------------------------
+   !! NEMO/TOP 4.0 , NEMO Consortium (2017)
+   !! $Id: trcsub.F90 9019 2017-12-13 14:58:53Z timgraham $ 
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 CONTAINS
 
-
    SUBROUTINE trc_ice_ini_pisces
       !!----------------------------------------------------------------------
@@ -29,9 +33,9 @@
       !! ** Purpose :   Initialisation of the PISCES biochemical model
       !!----------------------------------------------------------------------
-
+      !
       IF( ln_p4z .OR. ln_p5z ) THEN  ;   CALL p4z_ice_ini   !  PISCES
       ELSE                           ;   CALL p2z_ice_ini   !  LOBSTER
       ENDIF
-
+      !
    END SUBROUTINE trc_ice_ini_pisces
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/trcnam_pisces.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/trcnam_pisces.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/trcnam_pisces.F90	(revision 9124)
@@ -18,10 +18,8 @@
    USE iom             ! I/O manager
 
-
    IMPLICIT NONE
    PRIVATE
 
    PUBLIC   trc_nam_pisces   ! called by trcnam.F90 module
-
 
    !!----------------------------------------------------------------------
@@ -30,5 +28,4 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
 
@@ -42,5 +39,4 @@
       !!             namelist: natext, natbio, natsms
       !!----------------------------------------------------------------------
-      !!
       INTEGER :: jl, jn
       INTEGER :: ios, ioptio                 ! Local integer output status for namelist read
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/trcsms_pisces.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/trcsms_pisces.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/PISCES/trcsms_pisces.F90	(revision 9124)
@@ -23,13 +23,5 @@
    !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
-
-      !!----------------------------------------------------------------------
-      !!                   ***  ROUTINE trc_ini_pisces ***
-      !!
-      !! ** Purpose :   Initialisation of the PISCES biochemical model
-      !!----------------------------------------------------------------------
-
 
    SUBROUTINE trc_sms_pisces( kt )
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/TRP/trcbbl.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/TRP/trcbbl.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/TRP/trcbbl.F90	(revision 9124)
@@ -50,5 +50,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('trc_bbl')
+      IF( ln_timing )   CALL timing_start('trc_bbl')
       !
       IF( .NOT. l_offline .AND. nn_dttrc == 1 ) THEN
@@ -92,5 +92,5 @@
       ENDIF
       !
-      IF( nn_timing == 1 ) CALL timing_stop('trc_bbl')
+      IF( ln_timing )   CALL timing_stop('trc_bbl')
       !
    END SUBROUTINE trc_bbl
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/TRP/trcdmp.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/TRP/trcdmp.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/TRP/trcdmp.F90	(revision 9124)
@@ -89,5 +89,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('trc_dmp')
+      IF( ln_timing )   CALL timing_start('trc_dmp')
       !
       IF( l_trdtrc )   CALL wrk_alloc( jpi, jpj, jpk, ztrtrd )   ! temporary save of trends
@@ -161,5 +161,5 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('trc_dmp')
+      IF( ln_timing )   CALL timing_stop('trc_dmp')
       !
    END SUBROUTINE trc_dmp
@@ -179,6 +179,4 @@
       NAMELIST/namtrc_dmp/ nn_zdmp_tr , cn_resto_tr
       !!----------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )  CALL timing_start('trc_dmp_ini')
       !
       REWIND( numnat_ref )              ! Namelist namtrc_dmp in reference namelist : Passive tracers newtonian damping
@@ -222,5 +220,4 @@
          !
       ENDIF
-      IF( nn_timing == 1 )  CALL timing_stop('trc_dmp_ini')
       !
    END SUBROUTINE trc_dmp_ini
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/TRP/trcldf.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/TRP/trcldf.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/TRP/trcldf.F90	(revision 9124)
@@ -74,5 +74,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )   CALL timing_start('trc_ldf')
+      IF( ln_timing )   CALL timing_start('trc_ldf')
       !
       IF( l_trdtrc )  THEN
@@ -124,5 +124,5 @@
       CALL wrk_dealloc( jpi,jpj,jpk,   zahu, zahv )
       !
-      IF( nn_timing == 1 )   CALL timing_stop('trc_ldf')
+      IF( ln_timing )   CALL timing_stop('trc_ldf')
       !
    END SUBROUTINE trc_ldf
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/TRP/trcnxt.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/TRP/trcnxt.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/TRP/trcnxt.F90	(revision 9124)
@@ -86,5 +86,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('trc_nxt')
+      IF( ln_timing )   CALL timing_start('trc_nxt')
       !
       IF( kt == nittrc000 .AND. lwp ) THEN
@@ -143,5 +143,5 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('trc_nxt')
+      IF( ln_timing )   CALL timing_stop('trc_nxt')
       !
    END SUBROUTINE trc_nxt
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/TRP/trcrad.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/TRP/trcrad.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/TRP/trcrad.F90	(revision 9124)
@@ -54,5 +54,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('trc_rad')
+      IF( ln_timing )   CALL timing_start('trc_rad')
       !
       IF( kt == nittrc000 ) THEN
@@ -75,5 +75,5 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('trc_rad')
+      IF( ln_timing )   CALL timing_stop('trc_rad')
       !
    END SUBROUTINE trc_rad
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/TRP/trcsbc.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/TRP/trcsbc.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/TRP/trcsbc.F90	(revision 9124)
@@ -68,5 +68,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('trc_sbc')
+      IF( ln_timing )   CALL timing_start('trc_sbc')
       !
       ! Allocate temporary workspace
@@ -182,5 +182,5 @@
       IF( l_trdtrc )  CALL wrk_dealloc( jpi,jpj,jpk,   ztrtrd )
       !
-      IF( nn_timing == 1 )  CALL timing_stop('trc_sbc')
+      IF( ln_timing )   CALL timing_stop('trc_sbc')
       !
    END SUBROUTINE trc_sbc
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/TRP/trctrp.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/TRP/trctrp.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/TRP/trctrp.F90	(revision 9124)
@@ -56,5 +56,5 @@
       !! ---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )   CALL timing_start('trc_trp')
+      IF( ln_timing )   CALL timing_start('trc_trp')
       !
       IF( .NOT. lk_c1d ) THEN
@@ -91,5 +91,5 @@
       END IF
       !
-      IF( nn_timing == 1 )   CALL timing_stop('trc_trp')
+      IF( ln_timing )   CALL timing_stop('trc_trp')
       !
    END SUBROUTINE trc_trp
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/TRP/trczdf.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/TRP/trczdf.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/TRP/trczdf.F90	(revision 9124)
@@ -50,5 +50,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('trc_zdf')
+      IF( ln_timing )   CALL timing_start('trc_zdf')
       !
       IF( l_trdtrc )   ztrtrd(:,:,:,:)  = tra(:,:,:,:)
@@ -71,5 +71,5 @@
       END IF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('trc_zdf')
+      IF( ln_timing )  CALL timing_stop('trc_zdf')
       !
    END SUBROUTINE trc_zdf
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/trcbc.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/trcbc.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/trcbc.F90	(revision 9124)
@@ -60,5 +60,4 @@
       !!              - allocates passive tracer BC data structure 
       !!----------------------------------------------------------------------
-      !
       INTEGER,INTENT(IN) :: ntrc                           ! number of tracers
       INTEGER            :: jl, jn , ib, ibd, ii, ij, ik   ! dummy loop indices
@@ -81,7 +80,5 @@
                         & cn_dir_cbc, sn_trccbc, rn_trcfac, ln_rnf_ctl, rn_bc_time
       NAMELIST/namtrc_bdy/ cn_trc_dflt, cn_trc, nn_trcdmp_bdy
-
       !!----------------------------------------------------------------------
-      IF( nn_timing == 1 )  CALL timing_start('trc_bc_ini')
       !
       IF( lwp ) THEN
@@ -332,5 +329,4 @@
       !
       DEALLOCATE( slf_i )          ! deallocate local field structure
-      IF( nn_timing == 1 )  CALL timing_stop('trc_bc_ini')
       !
    END SUBROUTINE trc_bc_ini
@@ -348,6 +344,5 @@
       !!----------------------------------------------------------------------
       USE fldread
-      
-      !! * Arguments
+      !!      
       INTEGER, INTENT( in ) ::   kt              ! ocean time-step index
       INTEGER, INTENT( in ), OPTIONAL ::   jit   ! subcycle time-step index (for timesplitting option)
@@ -357,5 +352,5 @@
       !!---------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('trc_bc')
+      IF( ln_timing )   CALL timing_start('trc_bc')
 
       IF( kt == nit000 .AND. lwp) THEN
@@ -452,6 +447,5 @@
       END DO                                                     ! tracer loop
       !                                                          ! ===========
-      !
-      IF( nn_timing == 1 )  CALL timing_stop('trc_bc')
+      IF( ln_timing )   CALL timing_stop('trc_bc')
       !
    END SUBROUTINE trc_bc
@@ -462,5 +456,4 @@
    !!----------------------------------------------------------------------
 CONTAINS
-
    SUBROUTINE trc_bc_ini( ntrc )        ! Empty routine
       INTEGER,INTENT(IN) :: ntrc                           ! number of tracers
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/trcbdy.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/trcbdy.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/trcbdy.F90	(revision 9124)
@@ -51,5 +51,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 ) CALL timing_start('trc_bdy')
+      IF( ln_timing )   CALL timing_start('trc_bdy')
       !
       igrd = 1 
@@ -76,7 +76,8 @@
       END DO
       !
-      IF( nn_timing == 1 ) CALL timing_stop('trc_bdy')
+      IF( ln_timing )   CALL timing_stop('trc_bdy')
 
    END SUBROUTINE trc_bdy
+
 
    SUBROUTINE trc_bdy_dmp( kt )
@@ -98,9 +99,9 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 ) CALL timing_start('trc_bdy_dmp')
+      IF( ln_timing )   CALL timing_start('trc_bdy_dmp')
       !
       DO jn = 1, jptra
          DO ib_bdy=1, nb_bdy
-            IF ( trcdta_bdy(jn, ib_bdy)%dmp ) THEN
+            IF( trcdta_bdy(jn, ib_bdy)%dmp ) THEN
                igrd = 1                       ! Everything is at T-points here
                DO ib = 1, idx_bdy(ib_bdy)%nblen(igrd)
@@ -114,8 +115,8 @@
                END DO
             ENDIF
-         ENDDO
-      ENDDO
+         END DO
+      END DO
       !
-      IF( nn_timing == 1 ) CALL timing_stop('trc_bdy_dmp')
+      IF( ln_timing )   CALL timing_stop('trc_bdy_dmp')
       !
    END SUBROUTINE trc_bdy_dmp
